Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006005 [JEDI VCL] 00 JVCL Components minor always 2012-10-05 15:27 2015-09-14 13:20
Reporter RHoek View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006005: When using TJvBalloonHint as application hint, the MaxWidth is not respected
Description When setting the property 'TJvBalloonHint.UseBalloonAsApplicationHint' the actual hint window will not respect the 'MaxWidth' property of TJvBalloonHint.

As workaround you can place a 'TApplicationEvent' component on the form a supply the maxwidth using the 'OnShowHint' event (pointing to the TJvBalloonHint Instance).

But this should be read by the TJvBallonHintWindow itself, through the GlobalCtrl in the JvBalloonHint unit.
Additional Information
Tags No tags attached.
Attached Files rar file icon JVCL BUG - TJvBalloonHint MaxWidth.rar [^] (91,352 bytes) 2013-01-16 10:28

- Relationships

-  Notes
(0020363)
obones (administrator)
2013-01-15 15:43

Please provide the zipped sources of a sample application showing this.
(0020397)
RHoek (reporter)
2013-01-16 10:30

Demo application supplied

CheckBox activates the described workaround using ApplicationEvents object
(0020839)
obones (administrator)
2013-12-13 17:03

Inside VCL.Forms.pas, have a look at TApplication.ActivateHint
You'll see that it initializes the maxwidth like this:

HintInfo.HintMaxWidth := Screen.Width

but the HintInfo structure is never given to FHintWindow before it gets a chance to be displayed. The only chance anyone has to change the HintMaxWidth property is via the OnShowHint event handler.
(0020840)
obones (administrator)
2013-12-13 17:08

Using a private TApplicationEvent did the trick.

- Issue History
Date Modified Username Field Change
2012-10-05 15:27 RHoek New Issue
2013-01-15 15:43 obones Note Added: 0020363
2013-01-15 15:43 obones Status new => feedback
2013-01-16 10:28 RHoek File Added: JVCL BUG - TJvBalloonHint MaxWidth.rar
2013-01-16 10:30 RHoek Note Added: 0020397
2013-12-13 11:39 obones Status feedback => acknowledged
2013-12-13 17:03 obones Note Added: 0020839
2013-12-13 17:03 obones Status acknowledged => feedback
2013-12-13 17:08 obones Note Added: 0020840
2013-12-13 17:08 obones Status feedback => resolved
2013-12-13 17:08 obones Fixed in Version => Daily / GIT
2013-12-13 17:08 obones Resolution open => fixed
2013-12-13 17:08 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker